#include <stdio.h>
#include "example.h"

void print_pointer(size_t n, double *x)
{
	size_t i;
	for (i=0; i<n; i++) {
		printf("%d: %g\n", (int)i, x[i]);
	}
	return;
}

void print_array(size_t n, double x[])
{
	print_pointer(n, x);
	return;
}

void print_vector(double_vector_t *v)
{
	print_pointer(v->n, v->data);
	return;
}

void print_sample_pointer(size_t n, sample_t *x)
{
	print_pointer(n, x);
	return;
}

void print_sample_array(size_t n, sample_t x[])
{
	print_pointer(n, x);
	return;
}

void print_sample_vector(sample_vector_t *v)
{
	print_pointer(v->n, v->data);
	return;
}
