#include <stddef.h>  /* size_t */

typedef double sample_t;

typedef struct double_vector_struct {
	size_t n;
	double *data;
} double_vector_t;

typedef struct sample_vector_struct {
	size_t n;
	sample_t *data;
} sample_vector_t;

void print_pointer(size_t n, double *x);
void print_array(size_t n, double x[]);
void print_vector(double_vector_t *v);
void print_sample_pointer(size_t n, sample_t *x);
void print_sample_array(size_t n, sample_t x[]);
void print_sample_vector(sample_vector_t *v);
